Skip to main content
`Ctrl`+`K`

# PetscPartitionerView

Views a `PetscPartitioner`

## Synopsis

    #include "petscpartitioner.h"
    PetscErrorCode PetscPartitionerView(PetscPartitioner part, PetscViewer v)

Collective

## Input Parameters

- part - the `PetscPartitioner` object to view

- v - the viewer

## See Also

`PetscPartitionerDestroy()`

## Level

developer

## Location

src/dm/partitioner/interface/partitioner.c

## Implementations

PetscPartitionerView_Chaco() in src/dm/partitioner/impls/chaco/partchaco.c
PetscPartitionerView_Gather() in src/dm/partitioner/impls/gather/partgather.c
PetscPartitionerView_MatPartitioning() in src/dm/partitioner/impls/matpart/partmatpart.c
PetscPartitionerView_ParMetis() in src/dm/partitioner/impls/parmetis/partparmetis.c
PetscPartitionerView_PTScotch() in src/dm/partitioner/impls/ptscotch/partptscotch.c
PetscPartitionerView_Shell() in src/dm/partitioner/impls/shell/partshell.c
PetscPartitionerView_Simple() in src/dm/partitioner/impls/simple/partsimple.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages